--- 4.5.33/exim.conf-SpamBlockerTechnology-v4.5.33.txt	2020-10-27 05:05:12.928999379 -0600
+++ 4.5.34/exim.conf-SpamBlockerTechnology-v4.5.34.txt	2020-12-10 16:53:15.318037047 -0700
@@ -1,5 +1,5 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.33
-# September 9, 2020
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.34
+# December 10, 2020
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
 # http://files.directadmin.com/services/exim.pl version 21 or higher
@@ -639,6 +639,16 @@
 
 .include_if_exists /etc/exim.routers.pre.conf
 
+lookuphost_forward_router:
+  driver = dnslookup
+  domains = ! +local_domains
+  ignore_target_hosts = 127.0.0.0/8
+  condition = ${if !eq{$original_domain}{$domain}}
+  condition = ${if !eq{$original_domain}{}}
+  condition = "${perl{check_limits}}"
+  transport = remote_smtp_forward_transport
+  no_more
+
 lookuphost:
   driver = dnslookup
   domains = ! +local_domains
@@ -1007,6 +1017,15 @@
   helo_data = ${if exists{/etc/virtual/helo_data}{${lookup{$sending_ip_address}iplsearch{/etc/virtual/helo_data}{$value}{$primary_hostname}}}{$primary_hostname}}
   hosts_try_chunking =
   hosts_try_fastopen =
+.include_if_exists /etc/exim.dkim.conf
+
+remote_smtp_forward_transport:
+  driver = smtp
+  headers_add = "${if def:authenticated_id{X-Authenticated-Id: ${authenticated_id}}}"
+  interface = <; ${if exists{/etc/virtual/domainips}{${lookup{$original_domain}lsearch*{/etc/virtual/domainips}}}}
+  helo_data = ${if exists{/etc/virtual/helo_data}{${lookup{$sending_ip_address}iplsearch{/etc/virtual/helo_data}{$value}{$primary_hostname}}}{$primary_hostname}}
+  hosts_try_chunking =
+  hosts_try_fastopen =
 .include_if_exists /etc/exim.dkim.conf
 
 #EDIT#62:
